diff -ruN mozilla-1.9.2-orig/.mozconfig mozilla-1.9.2/.mozconfig
--- mozilla-1.9.2-orig/.mozconfig	1969-12-31 19:00:00.000000000 -0500
+++ mozilla-1.9.2/.mozconfig	2009-04-27 16:56:30.000000000 -0400
@@ -0,0 +1,55 @@
+# sh
+# Build configuration script
+#
+# See https://developer.mozilla.org/en/Configuring_Build_Options for build options.
+#
+
+. $topsrcdir/browser/config/mozconfig
+
+# Options for client.mk.
+# environment variables to set
+
+mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/obj-@FINK_ARCH_TARGET@-apple-darwin`uname -r`
+mk_add_options AUTOCONF=autoconf
+CC="gcc-4.2"
+CXX="g++-4.2"
+ac_add_options --target=@FINK_ARCH_TARGET@-apple-darwin`uname -r`
+#ac_add_options --with-macos-sdk=/Developer/SDKs/MacOSX10.5.sdk
+HOST_CC="gcc-4.2"
+HOST_CXX="g++-4.2"
+RANLIB=/usr/bin/ranlib
+AR=/usr/bin/ar
+AS=$CC
+LD=/usr/bin/ld
+#STRIP="strip -x -S"
+CROSS_COMPILE=1
+
+# Options for 'configure' (same as command-line options).
+ac_add_options --prefix=@FINKPREFIX@
+ac_add_options --enable-official-branding
+ac_add_options --enable-default-toolkit=cairo-gtk2
+ac_add_options --x-libraries=/usr/X11R6/lib
+ac_add_options --x-includes=/usr/X11R6/include
+#ac_add_options --enable-xft
+#ac_add_options --disable-xft
+#ac_add_options --enable-freetype2
+#ac_add_options --disable-freetype2
+#ac_add_options --enable-xinerama
+#ac_add_options --with-pthreads
+ac_add_options --disable-gnomevfs
+ac_add_options --disable-gnomeui
+ac_add_options --enable-dbus
+ac_add_options --enable-extensions=default,-gnomevfs
+
+ac_add_options --disable-dependency-tracking
+ac_add_options --disable-crashreporter
+ac_add_options --disable-necko-wifi
+
+ac_add_options --disable-debug
+ac_add_options --disable-tests
+ac_add_options --enable-strip
+#ac_add_options --enable-macos-target=10.5
+#ac_add_options --with-default-mozilla-five-home=@FINKPREFIX@/lib/firefox3
+ac_add_options --with-system-jpeg=@FINKPREFIX@
+ac_add_options --disable-system-cairo
+ac_add_options --enable-system-sqlite
diff -ruN mozilla-1.9.2-orig/browser/installer/package-manifest.in mozilla-1.9.2/browser/installer/package-manifest.in
--- mozilla-1.9.2-orig/browser/installer/package-manifest.in
+++ mozilla-1.9.2/browser/installer/package-manifest.in
@@ -77,7 +77,8 @@
 @BINPATH@/plugins/MRJPlugin.plugin/
 #endif
 #elifdef XP_UNIX
-@BINPATH@/plugins/libnullplugin.so
+@BINPATH@/plugins/libnullplugin.dylib
+@BINPATH@/plugins/libunixprintplugin.dylib
 #elifdef XP_WIN32
 #ifndef WINCE
 @BINPATH@/plugins/npnul32.dll
@@ -189,7 +189,7 @@
 @BINPATH@/components/layout_xul.xpt
 #ifdef XP_UNIX
 #ifndef XP_MACOSX
-@BINPATH@/components/libimgicon.so
+@BINPATH@/components/libimgicon.dylib
 #endif
 #endif
 @BINPATH@/components/locale.xpt
diff -ruN mozilla-1.9.2-orig/browser/locales/generic/profile/bookmarks.html.in mozilla-1.9.2/browser/locales/generic/profile/bookmarks.html.in
--- mozilla-1.9.2-orig/browser/locales/generic/profile/bookmarks.html.in	2009-04-23 21:46:37.000000000 -0400
+++ mozilla-1.9.2/browser/locales/generic/profile/bookmarks.html.in	2009-04-27 16:56:30.000000000 -0400
@@ -15,6 +15,7 @@
     <DL><p>
         <DT><A HREF="http://www.mozilla.com/@AB_CD@/firefox/central/" ID="rdf:#$GvPhC3">@getting_started@</A>
         <DT><A HREF="http://fxfeeds.mozilla.com/@AB_CD@/firefox/livebookmarks/" FEEDURL="http://fxfeeds.mozilla.com/@AB_CD@/firefox/headlines.xml" ID="rdf:#$HvPhC3">@latest_headlines@</A>
+        <DT><A HREF="http://www.finkproject.org/" ICON_URI="http://www.finkproject.org/favicon.ico" ICON="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAA+0lEQVQ4jWNgGDLg/6sTqv9OVe75uzv43J+TpUv/MzAwEqfxfEfU3y3O///u9P//d5v7/7/HCir/vz8n//9ir9+fffF+eDX/O5yxCqLR4///28u0GRgYGP6uN/sPN/zNBWlMG9+e4Pt7tq0bbutO//9/t3v9///qFQ9e2/7uCZ3/b3fwvX9HMg//PZpz7e9O//9/9ye8+Lc34ubf7V7/f1+e4Irdj3dWVf//f5UNzn91VeLvzoD/f0+U1OK1EadLtrr8/3+uoYcszf+PZHX/OxB/jizNDAwMDP92BX0hW/P/o1k7ydbMwMDA8P98D/ZQJkrz+6sJFNk+oAAAPwyICxl3w8YAAAAASUVORK5CYII=">Fink - Home</A>
     </DL><p>
     <HR>
     <DT><H3 ID="rdf:#$ZvPhC3">@firefox_heading@</H3>
diff -ruN mozilla-1.9.2-orig/config/autoconf.mk.in mozilla-1.9.2/config/autoconf.mk.in
--- mozilla-1.9.2-orig/config/autoconf.mk.in	2009-04-23 21:46:37.000000000 -0400
+++ mozilla-1.9.2/config/autoconf.mk.in	2009-04-27 16:56:30.000000000 -0400
@@ -58,14 +58,14 @@
 prefix		= @prefix@
 exec_prefix	= @exec_prefix@
 bindir		= @bindir@
-includedir	= @includedir@/$(MOZ_APP_NAME)-$(MOZ_APP_VERSION)
+includedir	= @includedir@/$(MOZ_APP_NAME)3
 libdir		= @libdir@
 datadir		= @datadir@
 mandir		= @mandir@
-idldir		= $(datadir)/idl/$(MOZ_APP_NAME)-$(MOZ_APP_VERSION)
+idldir		= $(datadir)/idl/$(MOZ_APP_NAME)3
 
-installdir	= $(libdir)/$(MOZ_APP_NAME)-$(MOZ_APP_VERSION)
-sdkdir		= $(libdir)/$(MOZ_APP_NAME)-devel-$(MOZ_APP_VERSION)
+installdir	= $(libdir)/$(MOZ_APP_NAME)3
+sdkdir		= $(libdir)/$(MOZ_APP_NAME)3-devel
 
 DIST		= $(DEPTH)/dist
 LIBXUL_SDK      = @LIBXUL_SDK@
diff -ruN mozilla-1.9.2-orig/config/config.mk mozilla-1.9.2/config/config.mk
--- mozilla-1.9.2-orig/config/config.mk	2010-03-12 13:08:56.000000000 -0800
+++ mozilla-1.9.2/config/config.mk	2010-03-12 13:09:41.000000000 -0800
@@ -590,8 +590,9 @@
 OS_COMPILE_CMMFLAGS += -fobjc-exceptions
 endif
 
-COMPILE_CFLAGS	= $(VISIBILITY_FLAGS) $(DEFINES) $(INCLUDES) $(XCFLAGS) $(PROFILER_CFLAGS) $(DSO_CFLAGS) $(DSO_PIC_CFLAGS) $(CFLAGS) $(RTL_FLAGS) $(OS_COMPILE_CFLAGS)
-COMPILE_CXXFLAGS = $(VISIBILITY_FLAGS) $(DEFINES) $(INCLUDES) $(XCFLAGS) $(PROFILER_CFLAGS) $(DSO_CFLAGS) $(DSO_PIC_CFLAGS)  $(CXXFLAGS) $(RTL_FLAGS) $(OS_COMPILE_CXXFLAGS)
+# patch: reordered XCFLAGS later to find alternate fontconfig2 headers first
+COMPILE_CFLAGS	= $(VISIBILITY_FLAGS) $(DEFINES) $(INCLUDES) $(PROFILER_CFLAGS) $(DSO_CFLAGS) $(DSO_PIC_CFLAGS) $(CFLAGS) $(RTL_FLAGS) $(XCFLAGS) $(OS_COMPILE_CFLAGS)
+COMPILE_CXXFLAGS = $(VISIBILITY_FLAGS) $(DEFINES) $(INCLUDES) $(PROFILER_CFLAGS) $(DSO_CFLAGS) $(DSO_PIC_CFLAGS)  $(CXXFLAGS) $(RTL_FLAGS) $(XCFLAGS) $(OS_COMPILE_CXXFLAGS)
 COMPILE_CMFLAGS = $(OS_COMPILE_CMFLAGS)
 COMPILE_CMMFLAGS = $(OS_COMPILE_CMMFLAGS)
 
diff -ruN mozilla-1.9.2-orig/configure mozilla-1.9.2/configure
--- mozilla-1.9.2-orig/configure	2009-04-23 21:51:07.000000000 -0400
+++ mozilla-1.9.2/configure	2009-04-27 16:56:30.000000000 -0400
@@ -6381,7 +6381,7 @@
     ;;
 
 *-darwin*)
-    HOST_CFLAGS="$HOST_CFLAGS -DXP_UNIX -DXP_MACOSX -DNO_X11"
+    HOST_CFLAGS="$HOST_CFLAGS -DXP_UNIX"
     HOST_NSPR_MDCPUCFG='\"md/_darwin.cfg\"'
     HOST_OPTIMIZE_FLAGS="${HOST_OPTIMIZE_FLAGS=-O3}"
     MOZ_FIX_LINK_PATHS='-Wl,-executable_path,$(LIBXUL_DIST)/bin'
@@ -6680,10 +6680,10 @@
     MKCSHLIB='$(CC) $(CFLAGS) $(DSO_PIC_CFLAGS) $(DSO_LDOPTS) -o $@'
     MOZ_OPTIMIZE_FLAGS="-O3"
     _PEDANTIC=
-    CFLAGS="$CFLAGS -fpascal-strings -fno-common"
-    CXXFLAGS="$CXXFLAGS -fpascal-strings -fno-common"
+    CFLAGS="$CFLAGS -fno-common"
+    CXXFLAGS="$CXXFLAGS -fno-common"
     DLL_SUFFIX=".dylib"
-    DSO_LDOPTS=''
+    DSO_LDOPTS='-framework CoreFoundation'
     STRIP="$STRIP -x -S"
     _PLATFORM_DEFAULT_TOOLKIT='cairo-cocoa'
     MOZ_ENABLE_POSTSCRIPT=
diff -ruN mozilla-1.9.2-orig/browser/installer/Makefile.in mozilla-1.9.2/browser/installer/Makefile.in
--- mozilla-1.9.2-orig/browser/installer/Makefile.in	2009-11-10 12:53:40.000000000 -0800
+++ mozilla-1.9.2/browser/installer/Makefile.in	2009-11-10 13:01:38.000000000 -0800
@@ -120,7 +120,7 @@ endif
 
 include $(topsrcdir)/toolkit/mozapps/installer/packager.mk
 
-ifeq (Darwin, $(OS_ARCH))
+ifeq (bundle, $(MOZ_FS_LAYOUT))
 DEFINES += \
   -DBINPATH=$(_BINPATH) \
   -DAPPNAME=$(_APPNAME) \

diff -ruN mozilla-1.9.2-orig/fink/applications/firefox.desktop mozilla-1.9.2/fink/applications/firefox.desktop
--- mozilla-1.9.2-orig/fink/applications/firefox.desktop	1969-12-31 19:00:00.000000000 -0500
+++ mozilla-1.9.2/fink/applications/firefox.desktop	2009-04-27 16:56:30.000000000 -0400
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Firefox Web Browser
+Comment=Browse the World Wide Web
+Exec=firefox
+Icon=firefox.png
+Terminal=false
+Type=Application
+Categories=Application;Network
+StartupNotify=true
diff -ruN mozilla-1.9.2-orig/fink/fink.js mozilla-1.9.2/fink/fink.js
--- mozilla-1.9.2-orig/fink/fink.js	1969-12-31 19:00:00.000000000 -0500
+++ mozilla-1.9.2/fink/fink.js	2009-04-27 16:56:30.000000000 -0400
@@ -0,0 +1 @@
+pref("general.useragent.extra.vendorComment", "Fink Community Edition");
diff -ruN mozilla-1.9.2-orig/netwerk/wifi/src/nsWifiMonitor.h mozilla-1.9.2/netwerk/wifi/src/nsWifiMonitor.h
--- mozilla-1.9.2-orig/netwerk/wifi/src/nsWifiMonitor.h	2009-10-16 11:14:14.000000000 -0400
+++ mozilla-1.9.2/netwerk/wifi/src/nsWifiMonitor.h	2009-10-28 09:30:59.000000000 -0400
@@ -88,7 +88,7 @@
 
   nsresult DoScan();
 
-#if defined(XP_MACOSX)
+#if defined(XP_UNIX)
   nsresult DoScanWithCoreWLAN();
   nsresult DoScanOld();
 #endif
diff -ruN mozilla-1.9.2-orig/security/nss/lib/softoken/config.mk mozilla-1.9.2/security/nss/lib/softoken/config.mk
--- mozilla-1.9.2-orig/security/nss/lib/softoken/config.mk	2010-09-30 09:43:09.000000000 -0400
+++ mozilla-1.9.2/security/nss/lib/softoken/config.mk	2010-09-30 09:43:11.000000000 -0400
@@ -80,6 +80,7 @@
 # $(EXTRA_SHARED_LIBS) come before $(OS_LIBS), except on AIX.
 EXTRA_SHARED_LIBS += \
 	-L$(DIST)/lib \
+	-L@FINKPREFIX@/lib \
 	-l$(SQLITE_LIB_NAME) \
 	-L$(NSSUTIL_LIB_DIR) \
 	-lnssutil3 \
diff -ruN mozilla-central-orig/xpcom/io/nsAppFileLocationProvider.cpp mozilla-central/xpcom/io/nsAppFileLocationProvider.cpp
--- mozilla-central-orig/xpcom/io/nsAppFileLocationProvider.cpp
+++ mozilla-central/xpcom/io/nsAppFileLocationProvider.cpp
@@ -235,19 +235,19 @@ nsAppFileLocationProvider::GetFile(const
         rv = GetProductDirectory(getter_AddRefs(localFile));
         if (NS_SUCCEEDED(rv))
             rv = localFile->AppendRelativeNativePath(PLUGINS_DIR_NAME);
     }
 #ifdef XP_UNIX
     else if (nsCRT::strcmp(prop, NS_SYSTEM_PLUGINS_DIR) == 0) {
         static const char *const sysLPlgDir = 
 #if defined(HAVE_USR_LIB64_DIR) && defined(__LP64__)
-          "/usr/lib64/mozilla/plugins";
+          "@FINKPREFIX@/lib64/mozilla/plugins";
 #else
-          "/usr/lib/mozilla/plugins";
+          "@FINKPREFIX@/lib/mozilla/plugins";
 #endif
         rv = NS_NewNativeLocalFile(nsDependentCString(sysLPlgDir),
                                    PR_FALSE, getter_AddRefs(localFile));
     }
 #endif
 #endif
     else if (nsCRT::strcmp(prop, NS_APP_SEARCH_DIR) == 0)
     {
diff -ruN mozilla-1.9.2-orig/xpcom/base/nsStackWalk.cpp mozilla-1.9.2/xpcom/base/nsStackWalk.cpp
--- mozilla-1.9.2-orig/xpcom/base/nsStackWalk.cpp	2009-04-23 21:47:11.000000000 -0400
+++ mozilla-1.9.2/xpcom/base/nsStackWalk.cpp	2009-04-27 16:56:31.000000000 -0400
@@ -1132,7 +1132,7 @@
 #define __USE_GNU
 #endif
 
-#if defined(HAVE_LIBDL) || defined(XP_MACOSX)
+#if defined(HAVE_LIBDL) || defined(XP_UNIX)
 #include <dlfcn.h>
 #endif
 
